Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 29-09-2021 18:08:37

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.10.0-8-amd64
(G)UI : Gnome 40.4
Inscription : 07-02-2018

MIse à jour impossible...

Je viens d'essayer de mettre à jour mon vieux Lenovo L520 (plein de poussière, tellement je l'utilise...). Impossible. Voici ce qui me jette à la figure, ce malpropre :

Impossible de récupérer http://deb.debian.org/debian/dists/bullseye/InRelease  Ne parvient pas à résoudre « deb.debian.org »



J'en ai toute une palanquée, des comme ça...
Synaptic et le Terminal me tiennent le même discours. J'ai réparé les paquets cassés (à tout hasard) : rien à faire. Les dépôts m'ont l'air bon.

Contenu de mon /etc/apt/sources.list :

#

# deb cdrom:[Debian GNU/Linux testing _Bullseye_ - Official Snapshot amd64 NETINST 20200113-03:54]/ bullseye main

# deb cdrom:[Debian GNU/Linux testing _Bullseye_ - Official Snapshot amd64 NETINST 20200113-03:54]/ bullseye main

deb http://deb.debian.org/debian/ bullseye main contrib non-free
deb-src http://deb.debian.org/debian/ bullseye main contrib non-free

deb http://security.debian.org/debian-security bullseye-security main contrib non-free
deb-src http://security.debian.org/debian-security bullseye-security main contrib non-free

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.

deb http://deb.debian.org/debian/ bullseye-proposed-updates non-free main contrib
deb http://deb.debian.org/debian/ bullseye-updates non-free main contrib
deb http://security.debian.org/ trixie-security main non-free contrib
deb http://deb.debian.org/debian/ trixie-updates main non-free contrib
deb http://deb.debian.org/debian/ trixie-proposed-updates main non-free contrib



Pas sûr d'avoir fait le bon choix en cochant les trixie : c'est quoi ?

Merci de vos lumières !


Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

#2 29-09-2021 18:11:33

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.10.0-8-amd64
(G)UI : Gnome 40.4
Inscription : 07-02-2018

Re : MIse à jour impossible...

"Trixie est le nom de code de développement de Debian 13" : merci la Wiki Debian !
Prudent ou non, de les avoir sélectionnés, ces dépôts ?

Dernière modification par fred02840 (29-09-2021 18:12:19)


Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

#3 29-09-2021 18:16:57

fred02840
Membre
Lieu : Aisne
Distrib. : Debian GNU/Linux bookworm/sid
Noyau : Linux 5.10.0-8-amd64
(G)UI : Gnome 40.4
Inscription : 07-02-2018

Re : MIse à jour impossible...

Je viens de rouvrir Synaptic pour continuer à chercher une solution au problème. Je lance la mise à jour, à tout hasard, et c'est parti. Tant mieux

En revanche, pour Trixie, vos réponses m'intéressent

Lenovo E540 (Intel Core i3) : Debian GNU/Linux bookworm/sid. Gnome 40.4

Très accessoirement : Debian 10 Buster sur un MacBook Pro 6,4 (mi-2010), 15'', mod. A1286 (ah mais...) et une Debian 9 sur une eMachines (Intel Atom N455, 1Go de Ram, et 250 Go. LXDE minimale).

Hors ligne

#4 29-09-2021 19:58:51

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.15 (amd64)
(G)UI : Openbox / xfwm4
Inscription : 18-11-2013
Site Web

Re : MIse à jour impossible...

Si tu veux rester sur une Debian stable, retire les sources de paquets de Trixie.
Si tu veux utiliser une Debian Sid, retire les sources de paquets de Trixie.
Et si tu veux utiliser une Debian testing, c’est une mauvaise idée. Mais retire les sources de paquets de Trixie quand même tongue

Je ne sais pas quel logiciel t’a proposé d’activer ça mais c’est clairement une erreur de la part de ses développeurs, ces dépôts sont encore très loin de pouvoir être utilisés.

Jouer sous Debian ? Facile !

En ligne

Pied de page des forums